package game.locations.phoneLock;

import game.locations.Location;
import game.locations.Interactive;

class PhoneLockRoom extends Location {
  public function new() {
    super();

    id = 'phoneLock/room';

    addBmpLayer('bg');

    var door = new Interactive(game.locations.phoneLock.PhoneLockDoor);
    door.initBitmap(bmpPath('door'));
    door.x = 265;
    door.y = 2;
    addChild(door);

    var tv = new Interactive(game.locations.phoneLock.PhoneLockTv);
    tv.initBitmap(bmpPath('tv'));
    tv.x = 151;
    tv.y = 36;
    addChild(tv);

    var table = new Interactive(game.locations.phoneLock.PhoneLockTable);
    table.initBitmap(bmpPath('table'));
    table.x = 10;
    table.y = 68;
    addChild(table);
  }
}
